import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6ImQzYmQyMjQyLWEyZjktNDU5MC1hNTM0LTE0NjI2MjY2NGNhMyIsInVzZXJuYW1lIjoiYWRtaW4ifQ.x7TydRDIx1BXI_34cyeEHGXW5LDV50F9KkWIJw6BNgCL6aq-DFqDlEM0S5zeW2Sp3Kgg-hYmRj3RO2t3KBjovg'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
